Warp-cli .deb file can't be installed on impish

I down loaded a .deb file cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb Then simply try to install it on impish And it start showing error which i can’t under start.

 ~/Downloads  ➜ ls --color=auto
cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb
 ~/Downloads  ➜ sudo dpkg -i cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb
[sudo] password for dev: 
(Reading database ... 131096 files and directories currently installed.)
Preparing to unpack cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb ...
Unpacking cloudflare-warp (2021.8.1-1) ...
dpkg-deb (subprocess): cannot copy archive member from 'cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb' to decompressor pipe: unexpected end of file or stream
dpkg-deb (subprocess): decompressing archive 'cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb' (size=88045859) member 'data.tar': internal gzip read error: buffer error
dpkg-deb: error: <decompress> subprocess returned error exit status 2
dpkg: error processing archive cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb (--install):
 cannot copy extracted data for './bin/warp-diag' to '/bin/warp-diag.dpkg-new': unexpected end of file or stream
Errors were encountered while processing:
 cloudflare_warp_2021_8_1_1_amd64_7c41aefd34.deb

I also tried to add fallback apt list so. And then try to install with it BUT.

~/Downloads  ➜ sudo apt install cloudflare-warp
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
  libnftables1 nftables
Suggested packages:
  firewalld
The following NEW packages will be installed:
  cloudflare-warp libnftables1 nftables
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 118 MB/119 MB of archives.
After this operation, 533 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 https://pkg.cloudflareclient.com focal/main amd64 cloudflare-warp amd64 2021.8.1-1 [118 MB]
Err:1 https://pkg.cloudflareclient.com focal/main amd64 cloudflare-warp amd64 2021.8.1-1
  Hash Sum mismatch
  Hashes of expected file:
   - SHA512:4809399847db4449de209b0a59825bc6fbbe843faa45c971f023203571c4b0f4f82c737009cfad5653fab7860c319594275e6207398b4c1206befeab643fa9d6
   - SHA256:63864808df76ddb80e8e6d4ce340dd85fbe2e579b440ac8fad81d70e57d4f6c0
   - SHA1:d9c3499d19ea054916839402ab26b58197920279 [weak]
   - MD5Sum:c58241c0eab1f12128f9be4087655b89 [weak]
   - Filesize:118264682 [weak]
  Hashes of received file:
   - SHA512:6ffbf1275bd164fc194f188dfb88c602f5e657ab3cd2f57a3ee1f9332f01f90b0779543767abef606f4cc1398c680c1cd3072a9a79df3db8a35b14ec231a3e8a
   - SHA256:d343d8f25926db5a09d3d7ac3825b5891b73a93f6c3b7c2979c24cd4cd0c12bf
   - SHA1:09037bc9de80faffee6a75ada79dc0f887f735f5 [weak]
   - MD5Sum:bceb9275b9b2c5ad8d8609281a6ddf61 [weak]
   - Filesize:90702496 [weak]
  Last modification reported: Sat, 14 Aug 2021 15:56:58 +0000
Fetched 90.7 MB in 43s (2,098 kB/s)                                            
E: Failed to fetch https://pkg.cloudflareclient.com/pool/dists/focal/main/cloudflare_warp_2021_8_1_1_amd64_7c41aefd34_amd64.deb  Hash Sum mismatch
   Hashes of expected file:
    - SHA512:4809399847db4449de209b0a59825bc6fbbe843faa45c971f023203571c4b0f4f82c737009cfad5653fab7860c319594275e6207398b4c1206befeab643fa9d6
    - SHA256:63864808df76ddb80e8e6d4ce340dd85fbe2e579b440ac8fad81d70e57d4f6c0
    - SHA1:d9c3499d19ea054916839402ab26b58197920279 [weak]
    - MD5Sum:c58241c0eab1f12128f9be4087655b89 [weak]
    - Filesize:118264682 [weak]
   Hashes of received file:
    - SHA512:6ffbf1275bd164fc194f188dfb88c602f5e657ab3cd2f57a3ee1f9332f01f90b0779543767abef606f4cc1398c680c1cd3072a9a79df3db8a35b14ec231a3e8a
    - SHA256:d343d8f25926db5a09d3d7ac3825b5891b73a93f6c3b7c2979c24cd4cd0c12bf
    - SHA1:09037bc9de80faffee6a75ada79dc0f887f735f5 [weak]
    - MD5Sum:bceb9275b9b2c5ad8d8609281a6ddf61 [weak]
    - Filesize:90702496 [weak]
   Last modification reported: Sat, 14 Aug 2021 15:56:58 +0000
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

I had to look that one up. That’s Ubuntu 21.10 (Impish Indri). You certainly don’t waste any time. It’s only three days old.

21.10 isn’t on the Supported list:
https://pkg.cloudflareclient.com/install

@kkrum is “The One” and his blog post says to post these types of wishes here in the Community.

1 Like

I clearly understand the fact that it can’t be installed. But the basic concept of .deb file should at-least be installed. (no comment on working.)

I installed the app on Hirsute. And it works.

I guess unofficial support should work

Thanks for the tag, sent a note to the engineering team about this so we can get it added to our backlog.

Note that our priority with Linux right now is getting it to feature parity with the rest of the clients, especially for Cloudflare for Teams scenarios. Once that is complete we’ll start working on version support, etc…

3 Likes

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.